<nav class="topmenu fixed-top navbar navbar-toggleable-md navbar-expand-lg navbar-dark navbar-inverse bg-inverse">
{#    <nav class="navbar navbar-expand-lg navbar-dark mt-2">#}

    <div class="navbar-brand">
        <a href="{{ path('home') }}" class="d-inline-block align-middle">
            <img class="d-inline-flex wpx-50 hpx-50" src="{{ asset('images/santa-icon.png') }}" alt="">
            <h1 class="d-none d-sm-inline-flex text-white bold align-middle mb-0 ml-2">{{ 'Noël en famille'|trans({}, 'main') }}</h1>
        </a>
    </div>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav"
            aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
            {% set items = [
                {'path': 'list_edit', 'link': 'Ma liste', 'icon': 'fas fa-clipboard-list-check'},
                {'path': 'updates', 'link': 'Mises à jour', 'icon': 'fas fa-gifts'},
                {'path': 'list_gift_selected', 'link': 'Panier', 'icon': 'fas fa-hand-holding-box'},
            ] %}
            {% for item in items %}
                <li class="nav-item {% if currentRoute == item.path %}active{% endif %}">
                    <a class="nav-link pr-3 pl-3" href="{{ path(item.path) }}">
                        <i class="{{ item.icon }}" aria-hidden="true"></i>
                        {{ item.link }} {% if currentRoute == item.path %}<span class="sr-only">(current)</span>{% endif %}
                    </a>
                </li>
            {% endfor %}
        </ul>
            {% if is_granted("IS_AUTHENTICATED_REMEMBERED") %}
                <ul class="navbar-nav mr-auto"></ul>
                <div class="dropdown-need-fix locale">
                    <div class="dropdown">
                        <a class="nav-link pr-3 pl-3 dropdown-toggle text-white" href="#" id="dropdownProfile" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="{{ app.user.iconColor }} {{ app.user.icon }}"></i>
                            {{ app.user.username }}
                        </a>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownProfile">
                            {% block top_login_extra_items %}{% endblock %}
                            {% block top_login_commun %}
                                <a class="dropdown-item" href="{{ path('app_profile_show') }}">
                                    <i class="fas fa-cogs" aria-hidden="true"></i>
                                    {{ 'layout.profile'|trans({}, 'FOSUserBundle') }}
                                </a>
                                <a class="dropdown-item" href="{{ path('app_change_password') }}">
                                    <i class="fas fa-key"></i>
                                    {{ 'resetting.reset.submit'|trans({}, 'FOSUserBundle') }}
                                </a>
                                <a class="dropdown-item logout" href="{{ path('app_logout') }}">
                                    <i class="fas fa-sign-out" aria-hidden="true"></i>
                                    {{ 'layout.logout'|trans({}, 'FOSUserBundle') }}
                                </a>
                            {% endblock %}
                        </div>
                    </div>
                </div>
            {% endif %}
    </div>
</nav>
